<?php

namespace Drupal\rabbit_hole;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Behavior settings entities.
 */
interface BehaviorSettingsInterface extends ConfigEntityInterface {

  /**
   * Set the configured action.
   *
   * @param string $action
   *   The action to save.
   */
  public function setAction($action);

  /**
   * Get the configured action.
   *
   * @return string
   *   The action id.
   */
  public function getAction();

}
